/*--------------------------------------------------------------------

   Perceptuum renderer, version 2.1
   Copyright (c) 2002-2003,  Harrison Ainsworth.

   www.hxa7241.org

--------------------------------------------------------------------*/

/*--------------------------------------------------------------------

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307, USA

--------------------------------------------------------------------*/


#ifndef perceptuum2_rc_h
#define perceptuum2_rc_h




/// icons cursors bitmaps --------------------------------------------------------------------------
#define IDI_PERCEPTUUM2        300
#define IDI_PERCEPTUUM2_SMALL  301
#define IDB_TOOLBAR_IMAGES     302
#define IDC_HAND1              303
#define IDC_HAND2              304
#define IDB_TITLE_IMAGE        305


/// strings ----------------------------------------------------------------------------------------
#define IDS_START                  400
#define IDS_STOP                   401
#define IDS_SAVE                   402
#define IDS_GLARE                  403
#define IDS_TONEMAP                404
#define IDS_INFO                   405
#define IDS_ABOUT                  406
#define IDS_BACKGROUND             407
#define IDS_ABOUT_TITLE            408
#define IDS_ABOUT_MESSAGE          409
#define IDS_START_DLGTITLE         410
#define IDS_SAVE_DLGTITLE          411
#define IDS_STOP_END_FRAME         413
#define IDS_STOP_MID_FRAME         414
#define IDS_FILEDLG_MSG1_TITLE     415
#define IDS_FILEDLG_MSG1           416
#define IDS_FONTNAME_GENERAL       417
#define IDS_INFO_TEXT_FONTNAME     418
#define IDS_EXC_HINSTANCE          419
#define IDS_EXC_BUTTONBAR_WINDOW   420
#define IDS_EXC_BUTTONBAR_BUTTONS  421
#define IDS_EXC_FILEDIALOG         422
#define IDS_EXC_CURSORLOAD         423
#define IDS_EXC_BACKBUFFER_DC      424
#define IDS_EXC_IMAGEPANE_REG      425
#define IDS_EXC_IMAGEPANE_CREATE   426
#define IDS_EXC_STATUSBAR_CREATE   428
#define IDS_EXC_BUTTONS_ENABLE     429
#define IDS_RENDER_START           430
#define IDS_RENDER_STOP1           431
#define IDS_RENDER_STOP2           432
#define IDS_RENDER_STOP3           433
#define IDS_RENDER_STOP_ODD1       434
#define IDS_RENDER_STOP_ODD2       435
#define IDS_RENDER_START_EXCEPTION 436


/// dialogs ----------------------------------------------------------------------------------------
#define IDD_ABOUTBOX   1003
#define IDD_STOP       1004
#define IDD_BACKGROUND 1005
#define IDD_TONEMAP    1006
#define IDD_INFO       1007


/// controls ---------------------------------------------------------------------------------------
#define IDB_STOP              601
#define IDB_STOP_FORCIBLY     602
#define IDC_STOP_STATUS       603
#define IDE_BACKGROUND_VALUE  604
#define IDC_TONE_BAR          605
#define IDE_TONE_DIGITS       606
#define IDB_TONE_AUTO         607
#define IDC_TONE_BAR_POS      608
#define IDC_INFO_TABS_POS     609


/// app commands -----------------------------------------------------------------------------------
#define IDM_START      501
#define IDM_STOP       502
#define IDM_SAVE       503
#define IDM_GLARE      504
#define IDM_TONEMAP    505
#define IDM_INFO       506
#define IDM_ABOUT      507
#define IDM_BACKGROUND 508


/// other ------------------------------------------------------------------------------------------
#define INFO_TEXT_FONTSIZE  9

#define IDR_BUTTONBAR     1001
#define IDR_STATUSBAR     1002
#define IDR_ACCELERATORS  1003

#define MSG_LINE_UPDATE    (WM_USER + 1)
#define MSG_FRAME_UPDATE   (WM_USER + 2)
#define MSG_RENDER_UPDATE  (WM_USER + 3)




#endif//perceptuum2_rc_h
