/*--------------------------------------------------------------------

   Perceptuum renderer, version 2.1
   Copyright (c) 2002-2003,  Harrison Ainsworth.

   www.hxa7241.org

--------------------------------------------------------------------*/

/*--------------------------------------------------------------------

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307, USA

--------------------------------------------------------------------*/


#ifndef hxa7241_utility_p
#define hxa7241_utility_p




namespace hxa7241
{
	namespace utility
	{
		//template<class T> class Array;
		//template<class T, int length> class ArrayFixed;
		class ByteSerializerIn;
		class ByteSerializerOut;
		class Exception;
		class Float01;
		class Float01c;
		class Float16;
		class HaltonSequence;
		class Histogram;
		class HistogramSmall;
		class Logger;
		class LogThreadSafe;
		class Random;
		class RandomFast;
		class RandomGood;
		class RandomMT;
		class Runnable;
		class Sequence;
		class SerializerIn;
		class SerializerOut;
		//template<class T> class Sheet;
		class SobolSequence;
		class TextSerializerOut;
		class Thread;
		class ThreadFactory;
		class ThreadLock;
		class ThreadSuspension;
		class ThreadSync;
		class TimePoint;
		class UriFile;
		//template<class T> class Vector;
		class XmlSerializerIn;
		class XmlSerializerOut;
	}
}




#endif//hxa7241_utility_p
